Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
DatabaseEnvironmentConfig..::.TimeNotGranted Field
DatabaseEnvironmentConfig Class See Also Send Feedback

If true, database calls timing out based on lock or transaction timeout values throw LockNotGrantedException instead of DeadlockException. This allows applications to distinguish between operations which have deadlocked and operations which have exceeded their time limits.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public bool TimeNotGranted

Visual Basic (Declaration)
    Public TimeNotGranted As Boolean

Visual C++
    public:
    bool TimeNotGranted

# See Also

DatabaseEnvironmentConfig Class
BerkeleyDB Namespace